低危 Imagemagick Studio ImageMagick::SetImageExtent()代码问题漏洞

CVE编号

CVE-2020-27755

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-12-09
漏洞描述
Imagemagick Studio ImageMagick是美国ImageMagick Studio(Imagemagick Studio)公司的一套开源的图像处理软件。该软件可读取、转换或写入多种格式的图片。 在/MagickCore/image.c的SetImageExtent()中,不正确的图像深度大小可能会导致内存泄漏,因为检查图像深度大小是否正确的代码不会在大小无效的情况下重置大小。在引发异常之前,修补程序会将深度重置为适当的大小。内存泄漏可由ImageMagick处理的精心编制的输入文件触发,并可能对应用程序的可靠性造成影响,例如拒绝服务。此漏洞影响ImageMagick 7.0.9-0之前的版本。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:https://github.com/ImageMagick/ImageMagick/commit/f28e9e56e1b56d4e1f09d2a56d70892ae295d6a4
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick * Up to
(excluding)
7.0.9-0
运行在以下环境
系统 debian_10 imagemagick * Up to
(including)
6.9.10.23+dfsg-2.1+deb10u1
运行在以下环境
系统 debian_9 imagemagick * Up to
(including)
6.9.7.4+dfsg-11+deb9u8
运行在以下环境
系统 fedora_EPEL_8 imagemagick * Up to
(excluding)
0.9.8.1-2.el8
运行在以下环境
系统 opensuse_Leap_15.1 imagemagick * Up to
(excluding)
7.0.7.34-lp151.7.26.1
运行在以下环境
系统 opensuse_Leap_15.2 imagemagick * Up to
(excluding)
7.0.7.34-lp152.12.9.1
运行在以下环境
系统 suse_12_SP5 imagemagick * Up to
(excluding)
6.8.8.1-71.154.1
运行在以下环境
系统 ubuntu_18.04 imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.11
运行在以下环境
系统 ubuntu_18.04.5_lts imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.11
运行在以下环境
系统 ubuntu_20.04 imagemagick * Up to
(excluding)
8:6.9.10.23+dfsg-2.1ubuntu11.4
运行在以下环境
系统 unionos_20 imagemagick * Up to
(excluding)
6.9.10.23.2-1+eagle
阿里云评分
3.2
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-401 在移除最后引用时对内存的释放不恰当(内存泄露)
阿里云安全产品覆盖情况